> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Smart Link Postbacks (/api-reference/smart-link-postbacks/list-smart-link-postbacks)

List all Smart Link postbacks configured for your Team

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml get /api/smart-link-postbacks
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Blocked / Restricted Users
    description: APIs for listing the users an account has blocked or restricted
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links, tracking links, and Smart Links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/smart-link-postbacks:
    get:
      summary: List Smart Link Postbacks
      operationId: listSmartLinkPostbacks
      description: List all Smart Link postbacks configured for your Team
      parameters: []
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    - id: 123
                      url: https://example.com/postback?click={click_id}&type={conversion_type}&gclid={gclid}
                      http_method: POST
                      body: '{"click_id":"{click_id}","value":"{amount_gross}"}'
                      headers:
                        - name: Authorization
                          value: Bearer token
                      smart_link_scope: campaign_specific
                      conversion_types:
                        - new_subscriber
                        - new_transaction
                      smart_link_ids:
                        - 01JTESTLINK000000000000001
                      smart_links:
                        - link_ulid: 01JTESTLINK000000000000001
                          name: Instagram Bio Link
                          account_display_name: Creator Main
                          account_prefixed_id: acct_XXXXXXXX
                      latest_response:
                        id: 456
                        conversion_type: new_subscriber
                        postback_url: https://example.com/postback?click=01JTESTCLICK000000000000001&type=new_subscriber&gclid=google-click-id
                        succeeded: true
                        status_code: 200
                        error_type: null
                        error_message: null
                        created_at: 2026-01-31T22:16:00+00:00
                      created_at: 2026-01-31T21:45:00+00:00
                      updated_at: 2026-01-31T21:45:00+00:00
                  _meta:
                    _credits:
                      used: 0
                      balance: 999999
                      note: Free endpoint
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                properties:
                  data:
                    type: array
                    example:
                      - id: 123
                        url: https://example.com/postback?click={click_id}&type={conversion_type}&gclid={gclid}
                        http_method: POST
                        body: '{"click_id":"{click_id}","value":"{amount_gross}"}'
                        headers:
                          - name: Authorization
                            value: Bearer token
                        smart_link_scope: campaign_specific
                        conversion_types:
                          - new_subscriber
                          - new_transaction
                        smart_link_ids:
                          - 01JTESTLINK000000000000001
                        smart_links:
                          - link_ulid: 01JTESTLINK000000000000001
                            name: Instagram Bio Link
                            account_display_name: Creator Main
                            account_prefixed_id: acct_XXXXXXXX
                        latest_response:
                          id: 456
                          conversion_type: new_subscriber
                          postback_url: https://example.com/postback?click=01JTESTCLICK000000000000001&type=new_subscriber&gclid=google-click-id
                          succeeded: true
                          status_code: 200
                          error_type: null
                          error_message: null
                          created_at: 2026-01-31T22:16:00+00:00
                        created_at: 2026-01-31T21:45:00+00:00
                        updated_at: 2026-01-31T21:45:00+00:00
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 123
                        url:
                          type: string
                          example: https://example.com/postback?click={click_id}&type={conversion_type}&gclid={gclid}
                        http_method:
                          type: string
                          example: POST
                        body:
                          type: string
                          example: '{"click_id":"{click_id}","value":"{amount_gross}"}'
                        headers:
                          type: array
                          example:
                            - name: Authorization
                              value: Bearer token
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                                example: Authorization
                              value:
                                type: string
                                example: Bearer token
                        smart_link_scope:
                          type: string
                          example: campaign_specific
                        conversion_types:
                          type: array
                          example:
                            - new_subscriber
                            - new_transaction
                          items:
                            type: string
                        smart_link_ids:
                          type: array
                          example:
                            - 01JTESTLINK000000000000001
                          items:
                            type: string
                        smart_links:
                          type: array
                          example:
                            - link_ulid: 01JTESTLINK000000000000001
                              name: Instagram Bio Link
                              account_display_name: Creator Main
                              account_prefixed_id: acct_XXXXXXXX
                          items:
                            type: object
                            properties:
                              link_ulid:
                                type: string
                                example: 01JTESTLINK000000000000001
                              name:
                                type: string
                                example: Instagram Bio Link
                              account_display_name:
                                type: string
                                example: Creator Main
                              account_prefixed_id:
                                type: string
                                example: acct_XXXXXXXX
                        latest_response:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 456
                            conversion_type:
                              type: string
                              example: new_subscriber
                            postback_url:
                              type: string
                              example: https://example.com/postback?click=01JTESTCLICK000000000000001&type=new_subscriber&gclid=google-click-id
                            succeeded:
                              type: boolean
                              example: true
                            status_code:
                              type: integer
                              example: 200
                            error_type:
                              type: string
                              example: null
                              nullable: true
                            error_message:
                              type: string
                              example: null
                              nullable: true
                            created_at:
                              type: string
                              example: 2026-01-31T22:16:00+00:00
                        created_at:
                          type: string
                          example: 2026-01-31T21:45:00+00:00
                        updated_at:
                          type: string
                          example: 2026-01-31T21:45:00+00:00
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 0
                          balance:
                            type: integer
                            example: 999999
                          note:
                            type: string
                            example: Free endpoint
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
      tags:
        - Smart Link Postbacks
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````